Subject: [lamps] I-D Action: draft-ietf-lamps-cms-update-alg-id-protect-01.txt

From: [email-masked]
Date: Mon, 09 Mar 2020 08:58:42 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Update to the Cryptographic Message Syntax (CMS) for Algorithm Identifier Protection
        Author          : Russ Housley
	Filename        : draft-ietf-lamps-cms-update-alg-id-protect-01.txt
	Pages           : 8
	Date            : 2020-03-09

Abstract:
   This document updates the Cryptographic Message Syntax (CMS)
   specified in RFC 5652 to ensure that algorithm identifiers are
   adequately protected.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cms-update-alg-id-protect/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lamps-cms-update-alg-id-protect-01
https://datatracker.ietf.org/doc/html/draft-ietf-lamps-cms-update-alg-id-protect-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cms-update-alg-id-protect-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Russ Housley <[email-masked]>
Date: Mon, 9 Mar 2020 12:02:12 -0400

I updated the section ong timestamps based on some comments from an implementer.

Russ

> On Mar 9, 2020, at 11:58 AM, [email-masked] wrote:
> 
>

---

From: Sean Turner <[email-masked]>
Date: Fri, 13 Mar 2020 13:39:31 -0400

Russ,

This draft is pretty straightforward.  Just some nits:

0) abstract/s1: Because this draft just addressed signed-data and authenticated-data right up front?

1) s1 and s4.1: s/Singed-data/signed-data

2) s.4.1: s/Authenticated-data/authenticated-data

3) s6: s/Likewise there us not/Likewise there is not

spt

> On Mar 9, 2020, at 12:02 PM, Russ Housley <[email-masked]> wrote:
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Russ Housley <[email-masked]>
Date: Fri, 13 Mar 2020 14:24:43 -0400

Fixed in my edit buffer, except I could not find "Singed-data" in the document.

Russ

> On Mar 13, 2020, at 1:39 PM, Sean Turner <[email-masked]> wrote:
> 
> Russ,
>

---

From: Sean Turner <[email-masked]>
Date: Mon, 23 Mar 2020 19:07:34 -0400

Sorry that’s s/Signed-data/signed-data ;)

> On Mar 13, 2020, at 2:24 PM, Russ Housley <[email-masked]> wrote:
>

---

From: Sean Turner <[email-masked]>
Date: Mon, 23 Mar 2020 19:11:53 -0400

Russ,

One other thing that I am curious about (i.e., I do not really have a strong sense either way) is whether we need to rev the CMS version in the signed-data and authenticated-data? I see there’s some text in s3.4 about backward compatibility that basically says there might be an issue here but it was implemented as as is specified in this draft so there’s really not a problem.

spt

> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Russ Housley <[email-masked]>
Date: Mon, 23 Mar 2020 19:20:26 -0400

Sean:

I believe that the draft is documenting existing implementation practice.  The point of the READER note paragraph in Section 3.4.  So, unless we learn about someone that is not already following the conventions in this draft, then I do not think that version number changes are needed or even desired.

Russ

> On Mar 23, 2020, at 7:11 PM, Sean Turner <[email-masked]> wrote:
> 
> Russ,
>